Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.fastedge.secrets.delete(
secret_id=0,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Fastedge.Secrets.Delete(
context.TODO(),
0,
fastedge.SecretDeleteParams{},
)
if err != nil {
panic(err.Error())
}
}
curl --request DELETE \
--url https://api.gcore.com/fastedge/v1/secrets/{secret_id} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/secrets/{secret_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}{
"error": "<string>",
"conflicting_ids": [
123
]
}{
"error": "<string>"
}FastEdge Secrets
Delete a secret
Permanently delete a secret and all its slot values. Secrets in use by applications require force=true to delete.
DELETE
/
fastedge
/
v1
/
secrets
/
{secret_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.fastedge.secrets.delete(
secret_id=0,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Fastedge.Secrets.Delete(
context.TODO(),
0,
fastedge.SecretDeleteParams{},
)
if err != nil {
panic(err.Error())
}
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Unique identifier of the secret to delete
Query Parameters
When true, deletes secret even if used by applications. Defaults to false.
Response
Secret successfully deleted
Was this page helpful?
⌘I